#1396 closed defect (fixed)

MVME5500 BSP Bug fixes and performance upgrade - a stable version

Reported by: feng1 Owned by: Joel Sherrill
Priority: high Milestone: 4.8
Component: bsps Version: 4.8
Severity: critical Keywords:
Cc: joel.sherrill@…, ralf.corsepius@…, strauman@…, thomas.doerfler@…, feng1@… Blocked By:
Blocking:

Description

1) Use the GT_GPP_Value register (0xf104) instead of the
GT_GPP_Interrupt_Cause register (0xf108) to monitor the cause
of the level sensitive interrupts. See irq/BSP_irq.c.
This is an unique solution which solves part of the bugs in
the BSP, which especially affects the 1GHz network driver.

2) There is no change in the 100 MHz network driver. Thus,
its performance stays the same. Some bugs were fixed in the
1GHz network drivers (e.g. if_wm.c).

3)Enable "PCI Read Agressive Prefetch", "PCI Read Line Agressive Prefetch",
and "PCI Read Multiple Agressive Prefetch" to improve the performance of
the PCI based applications (e.g. 1GHz network driver). See pci/pci_interface.c.
However, performance is driven by applications.

4) Other minor issues involve only the update of the BSP to be consisten
with what is in the PowerPC release, which was originally written by
Eric Valette.

Attachments (2)

mvme5500-rtems4.8.0-2009320.diff (137.7 KB) - added by feng1 on Mar 20, 2009 at 12:41:32 PM.
A patch for the RTEMS4.8.0 - mvme500 BSP
mvme5500-rtems4.8.0-20090401.diff (134.5 KB) - added by feng1 on Apr 1, 2009 at 3:59:21 PM.
This is an updated patch. Please discard the patch I sent on 3/20/09

Download all attachments as: .zip

Change History (9)

Changed on Mar 20, 2009 at 12:41:32 PM by feng1

A patch for the RTEMS4.8.0 - mvme500 BSP

comment:1 Changed on Mar 20, 2009 at 12:42:25 PM by feng1

attachments.description: Patch for the RTEMS4.8.0 - mvme500 BSPA patch for the RTEMS4.8.0 - mvme500 BSP

comment:2 Changed on Mar 20, 2009 at 12:50:07 PM by feng1

Cc: feng1@… joel.sherrill@… added

Changed on Apr 1, 2009 at 3:59:21 PM by feng1

This is an updated patch. Please discard the patch I sent on 3/20/09

comment:3 Changed on Apr 1, 2009 at 4:01:43 PM by feng1

Cc: Ralf Corsepius added

comment:4 Changed on Apr 1, 2009 at 4:02:48 PM by feng1

Cc: strauman added

comment:5 Changed on Apr 1, 2009 at 4:03:36 PM by feng1

Cc: thomas.doerfler added

comment:6 Changed on May 4, 2009 at 7:08:33 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:7 Changed on May 8, 2009 at 5:25:41 PM by Joel Sherrill

Should have been closed.

Note: See TracTickets for help on using tickets.